# MCP Reference: dataproc.googleapis.com

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [enable MCP servers](https://docs.cloud.google.com/mcp/enable-disable-mcp-servers) and [set up authentication](https://docs.cloud.google.com/mcp/authenticate-mcp) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

Dataproc MCP server provides tools to interact with Dataproc

### Server Endpoints

An MCP service endpoint is the network address and communication
interface (usually a URL) of the MCP server that an AI application (the Host for the MCP
client) uses to establish a secure, standardized connection. It is the point of contact for
the LLM to request context, call a tool, or access a resource.
Google MCP endpoints can be global or
[regional](https://docs.cloud.google.com/managed-spark/docs/concepts/cluster-region#location_and_regional_endpoints).

The dataproc.googleapis.com MCP server has the following MCP endpoint:

- https://dataproc.googleapis.com/mcp

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools)
is a function or executable capability that an MCP server exposes to a LLM or AI application
to perform an action in the real world.

The dataproc.googleapis.com MCP server has the following tools:

| MCP Tools ||
|---|---|
| [list_clusters](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/list_clusters) | List Dataproc clusters in a Google Cloud project |
| [get_cluster](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/get_cluster) | Get a Dataproc cluster in a Google Cloud project |
| [create_cluster](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/create_cluster) | Create a Dataproc cluster in a Google Cloud project |
| [delete_cluster](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/delete_cluster) | Delete a Dataproc cluster in a Google Cloud project |
| [list_jobs](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/list_jobs) | List Dataproc jobs in a Google Cloud project |
| [get_job](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/get_job) | Get a Dataproc job in a Google Cloud project |
| [list_batches](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/list_batches) | List Dataproc batches in a Google Cloud project |
| [get_batch](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/get_batch) | Get a Dataproc batch in a Google Cloud project |
| [create_batch](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/create_batch) | Create a Dataproc Batch in a Google Cloud project |
| [delete_batch](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/delete_batch) | Delete a Dataproc Batch in a Google Cloud project |
| [list_sessions](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/list_sessions) | List Dataproc Sessions in a Google Cloud project |
| [get_session](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/get_session) | Get a Dataproc session in a Google Cloud project |
| [create_session](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/create_session) | Create a Dataproc Session in a Google Cloud project |
| [delete_session](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/delete_session) | Delete a Dataproc Session in a Google Cloud project |
| [get_operation](https://docs.cloud.google.com/managed-spark/docs/reference/mcp/tools_list/get_operation) | Gets the status of a long-running operation. ***Usage*** Some tools (for example, `create_cluster` and `delete_cluster`) return a long-running operation. You can use this tool to get the status of the operation. It can be called repeatedly to poll the status of a long running operation **Parameters** \* `name`: The name of the operation to get. \* `name` should be the name returned by the tool that initiated the operation. \* `name` should be in the format of `projects/{project}/locations/{location}/operations/{operation}`. |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the
`tools/list` method. The following example demonstrates how to use
`curl` to list all tools and their specifications currently available within
the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://dataproc.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |